package com.muyu.system.mapper;

import com.muyu.cloud.search.domain.Use;
import com.muyu.cloud.system.domain.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description: 用户持久层
 * @Version 1.0.0
 */
@Mapper
public interface UserMapper {
    /**
     * 根据账号查询用户信息
     * @param userAut 用户账号
     * @return 用户信息
     */
    User findByUserAut(@Param("userAut") String userAut);


    void feeDeduction(Use use);
}
