package com.muyu.system.service;

import com.muyu.cloud.search.domain.Use;
import com.muyu.cloud.system.domain.User;

/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description:
 * @Version 1.0.0
 */
public interface UserService {

    /**
     * 根据账号查询用户信息
     * @param userAut 用户账号
     * @return 用户信息
     */
    User findByUserAut( String userAut);

    void feeDeduction(Use use);
}
