package com.muyu.auth.domain.response;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description: 登录token响应参数实体
 * @Version 1.0.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TokenLoginRes {
    /**
     * token值
     */
    private String token;
    /**
     * token过期时间
     */
    private Long expiresTime;
}
