package com.muyu.common.constant;

/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description: 服务名称常量
 * @Version: 1.0.0
 */
public class ServerNameConstants {

    /**
     * 系统服务服务名称
     */
    public final static String SYSTEM_NAME = "system-server";
    /**
     * kafka服务名称
     */
    public final static String KAFKA_NAME = "system-kafka";

    /**
     * 系统API远程调用前缀
     */
    public static interface SystemApi {
        // 用户远程前缀
        String USER_INFO_API = "/user";

        String KAFKA_API = "/kafka";

    }




}
