package com.muyu.common.exception.customException;

import org.springframework.stereotype.Component;

/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description: 登录异常
 * @Version 1.0.0
 */

public class LoginException extends RuntimeException{
    public LoginException() {
        super();
    }

    public LoginException(String message) {
        super(message);
    }

    public LoginException(String message, Throwable cause) {
        super(message, cause);
    }

    public LoginException(Throwable cause) {
        super(cause);
    }

    protected LoginException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
