package com.muyu.search.controller;

import com.muyu.cloud.search.domain.Use;
import com.muyu.common.result.Result;
import com.muyu.search.service.UseService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author: WangXin
 * @date: 2024/7/23
 * @Description:
 * @Version 1.0.0
 */
@RestController
@RequestMapping("/use")
@AllArgsConstructor
public class UseController {
    private final UseService useService;

    @GetMapping("/list")
    public Result<List<Use>> list() {
        return Result.success(useService.getListData());
    }
}
